Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Testing and Deployment

Reply
Developer
Kshmire
Posts: 37
Registered: ‎09-26-2011
My Device: Anything that goes up from JDE 6.0
My Carrier: Anyone

Can't use Hot-swap even on latest BB Eclipse plugin.

[ Edited ]

Hi to all,

due to trying to install a new device to the simulator, I ended withouth knowing the reason losing the hot-swap ability of my default 9800 Simulator.

After trying different things, I went for a full reinstall.

What I've done till now:

-Tried 4.2 Juno Java version of Eclipse and used BlackBerry plugin Update(*)

-Tried 3.8 Indigo Java version of Eclipse and used BlackBerry plugin Update(*)

-Tried 3.8 Indigo Classic version of Eclipse and used BlackBerry plugin Update(*)

 

On all of those I tried either these two configurations for Java compiler on: 

Window->Preferences->Java->Compiler:

Java level compliance 1.3 -> can run apps but hot-swap still doesn't work.

Java level compliance 1.4 -> the same as previous compliance.

Also tried to configure the JRE Environment:

Window->Preferences->Java->Installed JREs->Execution Environments:

BlackBerry Execution Environment  -> Either BlackBerry JRE 6 and 7.

JS2E-1.2 ->Either BlackBerry JRE 6 and 7

JS2E-1.3 ->Either BlackBerry JRE 6 and 7


And all of these without any JRE checked. The hot-swap still didn't work on any situation.

 

Lastly I went for the BlackBerry Plug-in for Eclipse, last version(**)

It includes JRE 7 and Eclipse 3.7 Helios version ( classic I suspect, didn't look too much into it).

When all was installed, I did the same as with the other Eclipse installations, went to File->Import->Blackberry Sample Proyects->HelloWorld
Run it on the simulator, change the message,  run again. Still no hot-swap.

 

I would appreciate very much if somebody could tell me what I'm doing wrong, because I've been reading throught forums and google for 2 days and there's nowere to find info about the configuration the hot-swap needs to work, only that the JDE and JRE has to be superior to some version.

 

Thanks a lot for your time,

Kshmire

 

PS:

Here's the only thing that the official blackberry homepage has to say about the hot-swap not working:

http://docs.blackberry.com/en/developers/deliverables/12002/Troubleshoot_Hot_Swap_1027606_11.jsp

And this is the only thing that I found about configuring and making work the thing:

http://docs.blackberry.com/en/developers/deliverables/12002/Hot_swap_BB_app_in_BBSS_1004166_11.jsp

 

 

(*)http://us.blackberry.com/developers/javaappdev/javaupdate.jsp
(**)https://bdsc.webapps.blackberry.com/java/download/eclipse

Please use plain text.
Administrator
MSohm
Posts: 14,310
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Can't use Hot-swap even on latest BB Eclipse plugin.

What version of Windows are you running?  Is UAC enabled?  Is your Program Files directory locked down?  Do you see .dmp files created in .\Eclipse\plugins\net.rim.ejde.componentpack6.0.0_6.0.0.40\components\simulator after you run the simulator?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
Kshmire
Posts: 37
Registered: ‎09-26-2011
My Device: Anything that goes up from JDE 6.0
My Carrier: Anyone

Re: Can't use Hot-swap even on latest BB Eclipse plugin.

Hi,

 

I'm using Windows XP SP3.

Program Files directory isn't locked.

I don't see any .dmp files on my  Eclipse\plugins\net.rim.ejde.componentpack6.0.0_6.0.0.43\components\simulator

 

After toying with the emulator (trying to run,change code, reset, run, change code, reset, run, change code, run), I got this error:

Warning - BlackBerry 9800 Simulator
-----------------------------------
Could not erase C:\Documents and Settings\user1\net\rim\fledge-2\3.0.0.118\9800.bug

 

I've tried to delete that folder, but whenever I run or debug, it's made again.

 

Thanks for the reply and your time,

Kshmire

Please use plain text.
Administrator
MSohm
Posts: 14,310
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Can't use Hot-swap even on latest BB Eclipse plugin.

It's expected that these files get created every time you run the simulator. Can you search your user directory for 9800*.dmp files and let me know if any are found?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
Kshmire
Posts: 37
Registered: ‎09-26-2011
My Device: Anything that goes up from JDE 6.0
My Carrier: Anyone

Re: Can't use Hot-swap even on latest BB Eclipse plugin.

Hi, sorry for the wait.

By user directory I've take it that you meant   ~\user1\program01\net\rim\fledge-2\3.0.0.118

And inside there I found a lot:

9800-as.dmp

9800-as.dmp.1.tmp

9800-as.dmp.2.tmp

9800-as.dmp.tmp

9800-fs.dmp

9800-fs.dmp.1.tmp

9800-fs.dmp.2.tmp

9800-fs.dmp.tmp

9800-mmc2.dmp

9800-mmc.dmp

9800-nv.dmp

9800-nv.dmp.1.tmp

9800-nv.dmp.2.tmp

9800-nv.dmp.tmp

Please use plain text.
Administrator
MSohm
Posts: 14,310
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Can't use Hot-swap even on latest BB Eclipse plugin.

This looks like a permission conflict to the Program Files directory.  If the simulator is unable to write there, it creates those files in your user directory and uses that as its working directory.  The problem is that Eclipse is deploying to the Program Files directory.

 

You can work around this by installing Eclipse and the BlackBerry plug-ins to a location outside of your Program Files directory.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
Kshmire
Posts: 37
Registered: ‎09-26-2011
My Device: Anything that goes up from JDE 6.0
My Carrier: Anyone

Re: Can't use Hot-swap even on latest BB Eclipse plugin.

Hi again,

I'm sorry to say this, but I've got installed eclipse on the root of the partition:

C:\Eclipse_Indigo\

Please use plain text.
Administrator
MSohm
Posts: 14,310
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Can't use Hot-swap even on latest BB Eclipse plugin.

Something is blocking the simulator from writing to that location.  Please verify permissions.  Was it installed when logged in as a different user than you are using to run the application?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
Kshmire
Posts: 37
Registered: ‎09-26-2011
My Device: Anything that goes up from JDE 6.0
My Carrier: Anyone

Re: Can't use Hot-swap even on latest BB Eclipse plugin.

I've verified the permissions for the folder, and I've set them up for my user as able to "Modify"(all but full control).

It was installed by me, by my user.

And it's still not working.

Please use plain text.
Developer
pravipravi
Posts: 38
Registered: ‎06-03-2009
My Device: 9800
My Carrier: Verizone

Re: Can't use Hot-swap even on latest BB Eclipse plugin.

[ Edited ]

Please find link below.

It explains how to enable Hot swap in blackBerry.

 

 

Hot swap in bb eclipse

 

Thanks

Praveen K

Please use plain text.